---
id: API
title: API Overview
---

API divided into two main parts:

* [UI Primitives](#ui-primitives): Components/modules that represent compatibility layer with react-native.
* [Figma components](#figma-components): Components that match some of Figma node types or API methods.

Also, there is [`render`](api/render.md) function - entry point for React App.

## UI Primitives

Components that compatible with react-native API.

* [View](api/View.md) — The most fundamental component for building a UI.
* [Text](api/Text.md) - A React component for displaying text.
* [Image](api/Image.md) - A React component for displaying different types of images.
* [StyleSheet](api/StyleSheet.md) — A StyleSheet is an abstraction similar to CSS StyleSheets.
* [Platform](api/Platform.md) — A module that detects the platform in which the app is running.

## Figma components

* [Page](api/Page.md) — A React component for displaying Figma page.
* [Frame](api/Frame.md) — A React component for displaying Figma frame.
* [Component](api/Frame.md) — A React component that wrap nodes to Figma component.
* [Svg](api/Svg.md) — A React component that transform SVG source to Figma nodes.
* [Ellipse](api/Ellipse.md) — A React component for displaying Figma ellipse.
* [Group](api/Group.md) — A React component for grouping Figma nodes.
* [Line](api/Line.md) — A React component for displaying Figma line.
* [Rectangle](api/Rectangle.md) — A React component for displaying Figma rectangle.
* [Star](api/Star.md) — A React component for displaying Figma star.
* [Vector](api/Vector.md) — A React component for displaying Figma vector.
* [Slice](api/Slice.md) — A React component for displaying Figma slice.

